function rctdemo
%RCTDEMO Set up ROBUST CONTROL demos for The MATLAB Expo.

% Michael G. Safonov and Richard Y. Chiang, Revised 10/18/96
% Copyright 1988-2004 The MathWorks, Inc.
% $Revision: 1.1.6.1 $

% Command line demo names

labelList=str2mat( ...
        'LQG/LTR Loop Transfer Recovery', ...
        'Mixed-Sensitivity Loop-Shaping', ...
        'Model Reduction:   BALANCED', ...
        'Model Reduction:     HANKEL', ...
        'Model Reduction:         BST', ...
        'Model Reduction: Comparison', ...
        'H-infinity Control',...
        'MUSOL4 real/complex/mixed MU',...
        'Flexible Space Structure',...
        'Double Integrator Plant',...
        'ACC Benchmark: Mu Synthesis',...
        'ACC Benchmark: Loop Shaping');
%        'MUSOL4 Real/Complex Mu Function');

% Command to execute the command line demo.

nameList=str2mat( ...
        'ltrdemo', ...
        'hmatdemo', ...
        'baldemo', ...
        'ohkdemo', ...
        'remdemo', ...
        'bhrdemo', ...
        'actdemo', ...
        'echo musldemo on, musldemo', ...
        'josedemo(1)', ...
        'dintdemo(3,1.5)',...
        'mudemo(0,0)',...
        'accdemo(1,1,0)');
%        'echo musldemo on, musldemo');

% The figure flag list is used to indicate whether or not a figure
% window is required by the demo
figureFlagList=[
        1
        1
        1
        1
        1
        1
        1
        0
        1
        1
        1
        1];

cmdlnwin(labelList,nameList,figureFlagList);

